Exiv2 - Feature #618

Easy access to information which may be in different Exif tags
07 Mar 2009 07:18 - Andreas Huggel

Status: Closed Start date: 07 Mar 2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: exif Estimated time: 0.00 hour
Target version: 0.18.1

Description

There should be an easy way to access certain common information which can be encoded in more than one tag.
Examples are: Orientation, ISO speed, white balance, lens name, image quality, etc.

Related issues:
Related to Exiv2 - Feature #505: Ability to extract some very basic pieces of... New

Associated revisions

Revision 1760 - 07 Mar 2009 07:26 - Andreas Huggel

#618: Added functions for easy access of common metadata, which is not always in the same tag. (Based on a discussion with and initial patch from
Carsten Pfeiffer)

History

#1 - 07 Mar 2009 07:21 - Andreas Huggel

- Tracker changed from Bug to Feature

#2 - 07 Mar 2009 07:23 - Andreas Huggel

Maybe this should later be done using synthesized tags, once the necessary support is available.

#3 - 07 Mar 2009 07:26 - Andreas Huggel
- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 30 Mar 2009 06:13 - Andreas Huggel

- Status changed from Resolved to Closed
